<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>LecturerPage</title>
  </head>
  <style>
    .style1 {
      font-family: Bookman Old Style;
      font-size: 20px;
    }
    .card {
      background-color: #8a0707;
      padding: 30px 150px 30px 150px;
      border-radius: 5px;
      font-size: large;
      
    }
    .icon-bar {
    width: 100%;
    border-width: 1px;
    border-style: solid;
    }
    .btn {
    background-color: #8a0707;
    color: white;
    }
    </style>
  
<body>
    <%- include('partials/header')-%>
    <div class="icon-bar style1" >
    <br>
    <form action="/get_student" method="post">
    <label for="id" style="padding-left: 1cm;">Course :</label>
    <select name="id" id="id" >
        <% for (var i=0; i < course_list.length; i++) { %>
        <option value="<%= course_list[i]._id %>"><%= course_list[i].Code + '-' + course_list[i].Section + ' ' + course_list[i].Course_Name %></option>
        <% } %> 
    </select>
    <input type="hidden" name="course" value="<%= course_list %>"/>
    <input type="submit" value="SHOW LIST" class="btn btn-lg " />
    <br>
    <br>
    </form>
    </div>
    <br>
    <% if (list!="em") { %>
        <div class="card">
        <table class="style1" width="100%" border="0" style="background-color: rgb(243, 242, 242);">
            <tr>
                <td style="text-align: center;"><br><b>Student Name</b></td>
                <td style="text-align: center;"><br><b>Student Matric Number</b></td>
                <td style="text-align: center;"><br><b>Assignment</b></td>
                <td style="text-align: center;"><br><b>Quiz</b></td>
                <td style="text-align: center;"><br><b>MidTerm</b></td>
                <td style="text-align: center;"><br><b>Project</b></td>
                <td style="text-align: center;"><br><b>Presentation</b></td>
                <td style="text-align: center;"><br><b>Final</b></td>
                <td style="text-align: center;"><br><b>Total Mark</b></td>
                <td style="text-align: center;"><br><b>Action</b></td>
            </tr>
            <% for (var i=0; i < list.Student.length; i++) { %>
            <tr>
                <td style="text-align: center;"><%= list.Student[i].StudentId.name %></td>
                <td style="text-align: center;"><%= list.Student[i].StudentId.matric %></td>
                <td style="text-align: center;"><%= list.Student[i].MarkId.Assignment %></td>
                <td style="text-align: center;"><%= list.Student[i].MarkId.Quiz %></td>
                <td style="text-align: center;"><%= list.Student[i].MarkId.MidTerm %></td>
                <td style="text-align: center;"><%= list.Student[i].MarkId.Project %></td>
                <td style="text-align: center;"><%= list.Student[i].MarkId.Presentation %></td>
                <td style="text-align: center;"><%= list.Student[i].MarkId.Final %></td>
                <td style="text-align: center;"><%= list.Student[i].MarkId.Assignment+list.Student[i].MarkId.Quiz+list.Student[i].MarkId.MidTerm+list.Student[i].MarkId.Project+list.Student[i].MarkId.Presentation+list.Student[i].MarkId.Final %></td>
                <td style="text-align: center;">
                <br>
                <form action="/get_marks" method="post">
                 <input type="hidden" name="mark" value="<%= list.Student[i].MarkId._id %>"/>
                 <input type="hidden" name="name" value="<%= list.Student[i].StudentId.name %>"/>
                 <input type="hidden" name="matric" value="<%= list.Student[i].StudentId.matric %>"/>
                 <input type="submit" value="UPDATE" class="btn btn-lg " />   
                </form>
                <br>
                </td>
            </tr>
            <% }; %>
        </table>
        </div>
    <% }; %>
</body>
<%- include('partials/footer')-%>
</html>